@import url(https://fonts.googleapis.com/css2?family=Ubuntu+Mono:ital,wght@0,400;0,700;1,400;1,700&display=swap);
:root {
  --rsa-font-tabelle: "Ubuntu Mono", monospace;
  --rsa-font-didascalia: inherit;
}

/* ? Regione contenuti compreso titolo-------------------------------- */
body .region-content .field p {
  line-height: 1.8;
}

/* ? Titolo Pagina-------------------------------- */
div#block-rsab5-page-title {
  text-align: center;
}

/* ? Regione contenuti DUE colonne-------------------------------- */
#block-rsab5-content {
  margin-top: 2.5rem;
  margin-bottom: 2.5rem;
}

/* ? Regione contenuti PRIMA COLONNA-------------------------------- */
.layout__region.layout__region--first {
  padding-right: 2rem;
}

/* ! IMMAGINE INTRO solo in CAPITOLI####################################################### */
.rsa-imgintro {
  text-align: center;
  margin: 1.5em 0;
  filter: drop-shadow(5px 5px 8px var(--rsa-scuro));
}
/* ! CONTENUTI ########################################################################## */

/* ? IMMAGINI -- TABELLE -- GRAFICI-------------------------------- */
.paragraph--type--glightbox,
.paragraph--type--tabella,
paragraph--type--grafico {
  width: fit-content;
  margin: auto;
  text-align: center;
}

/* ? DIDASCALIA ------------------------------------ */

.paragraph--type--glightbox .field--name-field-didascalia-l {
  max-width: 640px;
}

.block-field-blockparagraphmetabasefield-didascalia {
  max-width: 100%;
}

.field--name-field-didascalia-l,
.block-field-blockparagraphmetabasefield-didascalia {
  margin-bottom: 2.5rem;
  background-color: var(--rsa-chiaro);

  font-size: 15px;
  font-weight: var(--rsa-fontbold);
  line-height: 22px;
  padding-bottom: 6px;
  padding-left: 12px;
  padding-right: 12px;
  padding-top: 6px;
  text-align: left;

  padding: 0.2em 0.5em;
  /* text-align: center; */
  font-style: italic;
}

/* ? TABELLE ------------------------------------ */
.table {
  margin-bottom: 0;
  font-size: 80%;
  font-weight: var(--rsa-fontbold);
  font-style: normal;
  width: 100%;
  table-layout: fixed;
}
.table > :not(caption) > * > * {
  padding: 0.5rem 0.75rem;
  color: #000000;
  background-color: #ffffff;
  border-bottom-width: var(--bs-border-width);
}

.table > thead > * > * {
  padding: 0.5rem 0.75rem;
  color: #fff;
  background-color: var(--rsa-scuro);
  border-bottom-width: var(--bs-border-width);
}
caption {
  font-weight: var(--rsa-fontbold);
  padding-left: 1em;
  display: none;
}
th {
  font-weight: var(--rsa-fontbold);
}

[id*="highcharts-data-table"] {
  margin-bottom: 0;
  font-size: 80%;
  font-weight: var(--rsa-fontbold);
  font-style: normal;
  width: 100%;
  table-layout: fixed;
}

[id*="highcharts-data-table"] > :not(caption) > * > * {
  padding: 0.5rem 0.75rem;
  color: #000000;
  background-color: #ffffff;
  border-bottom-width: var(--bs-border-width);
}

[id*="highcharts-data-table"] > thead > * > * {
  padding: 0.5rem 0.75rem;
  color: #fff;
  background-color: var(--rsa-scuro);
  border-bottom-width: var(--bs-border-width);
}
[id*="highcharts-data-table"] caption {
  font-weight: var(--rsa-fontbold);
  padding-left: 1em;
  display: none;
}
[id*="highcharts-data-table"] th {
  font-weight: var(--rsa-fontbold);
}

/* ? TABELLE -Export data----------------------------------- */

#tablefield-export-link-0 {
  position: relative;
  width: 100%;
  display: block;
}

#tablefield-export-link-0 a {
  position: relative;
  display: block;
  text-align: right;
  font-size: 0; /* Nasconde il testo */
  padding-right: 24px; /* Spazio per l'icona */
  height: 26px; /* Altezza dell'icona */
}

#tablefield-export-link-0 a::before {
  content: "";
  position: absolute;
  right: 10px;
  top: 0;
  width: 25px;
  height: 25px;
  mask-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16" width="18" height="18"><path d="M4.53 5.801c.37-2.04 2.225-3.551 4.4-3.551 2.432 0 4.464 1.89 4.464 4.295 0 .416-.062.818-.176 1.198 1.171.407 2.033 1.484 2.033 2.791 0 1.291-.848 2.364-1.995 2.779a.75.75 0 0 1-.51-1.411c.606-.22 1.005-.764 1.005-1.368 0-.776-.67-1.465-1.57-1.466h-.03a.75.75 0 0 1-.646-1.138 2.66 2.66 0 0 0 .389-1.385c0-1.51-1.294-2.795-2.964-2.795S5.965 5.033 5.964 6.544v.03a.75.75 0 0 1-.851.746 2.682 2.682 0 0 0-.363-.025c-1.414 0-2.5 1.086-2.5 2.353 0 .815.443 1.548 1.141 1.974a.75.75 0 1 1-.782 1.28C1.503 12.226.75 11.03.75 9.648.75 7.56 2.453 5.91 4.53 5.8z"></path><path d="M11.085 10.031a.75.75 0 0 1-.117 1.055l-2.5 2a.75.75 0 0 1-.937 0l-2.5-2a.75.75 0 0 1 .937-1.172L7.25 10.94V8a.75.75 0 0 1 1.5 0v2.94l1.281-1.026a.75.75 0 0 1 1.054.117z"></path></svg>');
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: contain;
  -webkit-mask-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16" width="18" height="18"><path d="M4.53 5.801c.37-2.04 2.225-3.551 4.4-3.551 2.432 0 4.464 1.89 4.464 4.295 0 .416-.062.818-.176 1.198 1.171.407 2.033 1.484 2.033 2.791 0 1.291-.848 2.364-1.995 2.779a.75.75 0 0 1-.51-1.411c.606-.22 1.005-.764 1.005-1.368 0-.776-.67-1.465-1.57-1.466h-.03a.75.75 0 0 1-.646-1.138 2.66 2.66 0 0 0 .389-1.385c0-1.51-1.294-2.795-2.964-2.795S5.965 5.033 5.964 6.544v.03a.75.75 0 0 1-.851.746 2.682 2.682 0 0 0-.363-.025c-1.414 0-2.5 1.086-2.5 2.353 0 .815.443 1.548 1.141 1.974a.75.75 0 1 1-.782 1.28C1.503 12.226.75 11.03.75 9.648.75 7.56 2.453 5.91 4.53 5.8z"></path><path d="M11.085 10.031a.75.75 0 0 1-.117 1.055l-2.5 2a.75.75 0 0 1-.937 0l-2.5-2a.75.75 0 0 1 .937-1.172L7.25 10.94V8a.75.75 0 0 1 1.5 0v2.94l1.281-1.026a.75.75 0 0 1 1.054.117z"></path></svg>');
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  -webkit-mask-size: contain;
  background-color: var(--rsa-scuro);
}

#tablefield-export-link-0 a:hover::before {
  background-color: #007bff; /* Cambia il colore al passaggio del mouse */
}

/* ! SPALLA DESTRA ########################################################################## */
/* .layout__region--second:has(.rsa-rel) {
  padding: 0 1rem;
  font-size: 80%;
}

.rsa-rel {
  margin-bottom: 1.5rem;
  border-bottom: solid 1px var(--rsa-scuro);
}

.rsa-prefix {
  text-align: center;
  background-color: var(--rsa-scuro);
  color: var(--rsa-chiaro);
  height: 1.5em;
}

.rsa-rel-link {
  margin: 0.5rem;
  padding: 0.4em;
  background-color: var(--rsa-chiaro);
}
.rsa-rel-link:hover {
  background-color: var(--rsa-scuro);

  filter: opacity(80%);
}
.rsa-rel-link:hover a {
  color: #fff;
}

.rsa-rel-link a {
  text-decoration: none;
  color: #000000;
}
 */
/* /* **************************************   */

.layout__region--second:has(.rsa-rel) {
  padding: 0 1rem;
  font-size: 80%;
}

.rsa-rel,
.rsa-prefix-str .view-content {
  margin-bottom: 1.5rem;
  border-bottom: solid 1px var(--rsa-scuro);
}

.rsa-prefix,
.rsa-prefix-str .view-header {
  display: flex;
  align-items: center;
  justify-content: space-between;

  background-color: var(--rsa-scuro);
  color: var(--rsa-chiaro);
  height: 3em;
  padding: 1em;
}

.icon {
  content: url(../img/info.svg);
  display: inline-block;
  height: 20px;
}

.rsa-rel-link,
.rsa-prefix-str .views-row {
  margin: 0.5rem;
  padding: 0.4em;
  background-color: var(--rsa-chiaro);
}

.rsa-rel-link:hover,
.rsa-prefix-str .views-row:hover {
  background-color: var(--rsa-scuro);
  filter: opacity(90%);
}

.rsa-rel-link:hover a,
.rsa-prefix-str .views-row:hover a {
  color: #fff;
}

.rsa-rel-link a,
.rsa-prefix-str .views-row a {
  text-decoration: none;
  color: #000000;
}

/* ? TAG temi e TIPO ------------------------------------------------------ */

/* * VERSIONE minimal ret' */

.block-field-blocknodecapitolofield-tema {
  width: 48%;
  display: inline-block;
  margin-bottom: 2em;
  text-align: center;
}

.rsa-tema-tag > div,
.rsa-tipo-tag > div {
  margin: 0 0.5em;
  font-size: 1.05rem;
  /*  color: var(--rsa-scuro); */
  font-weight: var(--rsa-fontbold);
  padding: 13px 5px;
  border-radius: 5px;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}

.rsa-tema-tag a {
  color: var(--rsa-testo-scuro);
  text-decoration: none;
}

.rsa-tema-tag .CLIMA {
  background-color: var(--rsa-clima);
}
.rsa-tema-tag :first-child:before {
  width: 40%;
  height: 33px;
  margin: auto;

  display: block;
}
.rsa-tipo-tag :first-child:before {
  width: 40%;
  height: 33px;
  margin: auto;

  display: block;
}

.rsa-tema-tag .CLIMA:before {
  content: var(--rsa-icon-CLI);
}
.rsa-tema-tag .ACQUA {
  background-color: var(--rsa-acqua);
}
.rsa-tema-tag .ACQUA:before {
  content: var(--rsa-icon-ACQ);
}

.rsa-tema-tag .ARIA {
  background-color: var(--rsa-aria);
}
.rsa-tema-tag .ARIA:before {
  content: var(--rsa-icon-ARI);
}
.rsa-tema-tag .TERRITORIO {
  background-color: var(--rsa-territorio);
}
.rsa-tema-tag .TERRITORIO:before {
  content: var(--rsa-icon-TER);
}
.rsa-tipo-tag .STATO {
  background-color: var(--rsa-stato);
}
.rsa-tipo-tag .STATO:before {
  content: var(--rsa-icon-STA);
}

.rsa-tipo-tag .FATTORI {
  background-color: var(--rsa-fattori);
}
.rsa-tipo-tag .FATTORI:before {
  content: var(--rsa-icon-FAT);
}

.rsa-tipo-tag .IMPATTI {
  background-color: var(--rsa-impatti);
}
.rsa-tipo-tag .IMPATTI:before {
  content: var(--rsa-icon-IMP);
}

.rsa-tipo-tag .RISPOSTE {
  background-color: var(--rsa-risposte);
}
.rsa-tipo-tag .RISPOSTE:before {
  content: var(--rsa-icon-RIS);
}
.block-field-blocknodecapitolofield-tipo {
  width: 48%;
  display: inline-block;
  margin-bottom: 2em;
  text-align: center;
}

/* MENU ORIZZONTALE PER MAS */
.rsa-menu-priorita {
  display: flex;
  flex-wrap: wrap; /* Permette di adattarsi a schermi più piccoli */
  justify-content: space-evenly;
  gap: 10px;
  padding: 30px 0;
}

.rsa-menu-priorita-el {
  flex: 1;
  min-width: 120px;
  text-align: center;
  display: flex; /* Rende il contenitore flessibile */

  text-transform: none;
  background-color: var(--rsa-chiaro);
  border-radius: 5px;
  /*   max-width: 25%; */
}

.rsa-menu-priorita-el a {
  flex: 1; /* Fa in modo che il link occupi tutto lo spazio disponibile */
  display: flex;
  align-items: center; /* Centra verticalmente il testo */
  justify-content: center; /* Centra orizzontalmente il testo */
  padding: 10px 15px;
  color: var(--bs-body-color);
  text-decoration: none;
  transition: background 0.3s;
  min-height: 50px; /* Imposta un'altezza minima per garantire uniformità */
  border-radius: 5px;
  box-shadow: 0 3px 3px rgba(0, 0, 0, 0.12), 0 3px 2px rgba(0, 0, 0, 0.24);
  transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
}

.rsa-menu-priorita-el a:hover {
  background-color: var(--rsa-scuro);
  filter: opacity(80%);
  color: #fff;
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
  border-radius: 5px;
}

/* ! ---------------------------------------------------- */
/* ! -------------------- BREAKPOINT -------------------- */
/* ! ---------------------------------------------------- */

/* ! -------------------------768 >> 992--------------------------- */
@media (max-width: 992px) {
  .rsa-menu-priorita {
    flex-direction: column;
  }
}

/* ! ------------SOLO PER REDAZIONE TEMPORANEO---------------------------------------- */

u {
  background-color: aqua;
}
